---
updatedAt: 2026-05-31T12:49:47.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Verify Connection

Verifies a two-way connection between Artifactory and another product.
Returns Success (200) if Artifactory receives a similar success code (200) from the provided endpoint.

**Note:** This API is available only in Self-hosted instances.

**Since:** 4.15.0

**Security:** Requires an admin user.


<br />

<Callout icon="📘" theme="info">
  Supported on Self-managed JPDs only.
</Callout>

<br />

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Artifactory System API",
    "description": "Artifactory system configuration APIs for the JFrog Platform.\n\n**Authentication:**\n- Basic authentication using username and password\n- Access Tokens instead of password for basic authentication\n- Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}",
      "description": "JFrog Platform",
      "variables": {
        "jfrog_url": {
          "default": "myserver.jfrog.io",
          "description": "Your JFrog Platform hostname (e.g., mycompany.jfrog.io)"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Artifactory System",
      "description": "Artifactory system configuration APIs."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/artifactory/api/system/verifyconnection": {
      "post": {
        "tags": [
          "Artifactory System"
        ],
        "summary": "Verify Connection",
        "description": "Verifies a two-way connection between Artifactory and another product.\nReturns Success (200) if Artifactory receives a similar success code (200) from the provided endpoint.\n\n**Note:** This API is available only in Self-hosted instances.\n\n**Since:** 4.15.0\n\n**Security:** Requires an admin user.\n",
        "operationId": "verifyConnection",
        "requestBody": {
          "required": true,
          "description": "Connection endpoint and optional credentials to test.",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "endpoint"
                ],
                "properties": {
                  "endpoint": {
                    "type": "string",
                    "description": "The URL that Artifactory should connect to"
                  },
                  "username": {
                    "type": "string",
                    "description": "Username to be used for the connection test (optional)"
                  },
                  "password": {
                    "type": "string",
                    "description": "Password to be used for the connection test (optional)"
                  }
                }
              },
              "example": {
                "endpoint": "https://example.com/api",
                "username": "testuser",
                "password": "testpass"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully connected to endpoint",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string",
                  "example": "Successfully connected to endpoint"
                }
              }
            }
          },
          "400": {
            "description": "Error connecting to endpoint",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "status": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "errors": [
                    {
                      "status": 400,
                      "message": "Received error from endpoint url: HTTP 404: Page not found"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  }
}
```